{$G+,X+,F+}

{Conditional defines that may affect this unit}
{$I AWDEFINE.INC}

{*********************************************************}
{*                    APDREG.PAS 1.01                    *}
{*        Copyright (c) TurboPower Software 1995         *}
{*                 All rights reserved.                  *}
{*********************************************************}

{$I AWDEFINE.INC}

{$IFDEF UseAPWDLL}
!! STOP COMPILE -- UseAPWDLL must be turned off when compiling APDREG
{$ENDIF}

{$IFDEF BuildAPWDLL}
!! STOP COMPILE -- BuildAPWDLL must be turned off when compiling APDREG
{$ENDIF}

unit APDReg;

interface

uses
  DsgnIntf;

procedure Register;

implementation

uses
  Classes,
  AdPort,
  AdTerm,
  AdDataB,
  AdIniDB,
  AdModDB,
  AdModem,
  AdPBook,
  AdPBEdit,
  AdDial,
  AdGetNum,
  AdStatLt,
  AdProtcl,
  AdPStat;

{$I APDTABS.INC}  {Constant declarations for Delphi palette tab names}

procedure Register;
begin
  {Register property editors}
  RegisterPropertyEditor(TypeInfo(TBaudRate), TApdComPort,
                         'Baud', TBaudRateProperty);
  RegisterPropertyEditor(TypeInfo(TDBFieldList), TApdIniDBase,
                         'FieldList', TDBFieldListProperty);
  RegisterPropertyEditor(TypeInfo(TDBIndexedField), TApdIniDBase,
                         'IndexedField', TIndexedFieldProperty);

  {Register components}
  RegisterComponents(ApdTabName,
                     [TApdComPort,
                      TApdEmulator,
                      TApdTerminal,
                      TApdBPTerminal,
                      TApdProtocol,
                      TApdProtocolLog,
                      TApdProtocolStatus,
                      TApdIniDBase,
                      TApdModemDBase,
                      TApdModem,
                      TApdPhonebook,
                      TApdPhonebookEditor,
                      TApdPhoneNumberSelector,
                      TApdModemDialer,
                      TApdDialerDialog,
                      TApdSLController,
                      TApdStatusLight]);

end;

end.

